"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fileUtil = require("./tool/FileUtil");
var fs = require("fs");
var path = require("path");
var ActionJson = /** @class */ (function () {
    function ActionJson(jsUrl) {
        var s = this;
        s._newJson = {};
        s._jsUrl = jsUrl;
        s.trans();
    }
    ActionJson.prototype.trans = function () {
        var s = this;
        fileUtil.FileUtil.walkDir(path.join(this._jsUrl), s.onFile, null, s);
        fs.writeFileSync(__dirname, s._newJson);
    };
    ActionJson.prototype.onFile = function (url) {
        var s = this;
        if (path.extname(url) != ".json")
            return;
        var jsStr = fs.readFileSync(url, 'utf-8');
        var mcJson = JSON.parse(jsStr);
        var newJson = s.createNewJson(url, mcJson);
        if (!newJson) {
            console.log(newJson);
            console.log("错误文件Url = ", url);
        }
    };
    ActionJson.prototype.createNewJson = function (url, mcJson) {
        var s = this;
        if (mcJson) {
            var newJson = {
                len: mcJson.len,
                speed: mcJson.speed,
            };
            s._newJson[url] = newJson;
        }
        return null;
    };
    return ActionJson;
}());
