"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fileUtil = require("./tool/FileUtil");
var fs = require("fs");
var path = require("path");
var AddNS = /** @class */ (function () {
    function AddNS(url) {
        var self = this;
        if (!url) {
            console.log('------------请输入路径------------');
            return;
        }
        self._url = url;
        self.trans();
    }
    AddNS.prototype.trans = function () {
        var self = this;
        fileUtil.FileUtil.walkDir(path.join(this._url), self.onFile, null, self);
    };
    AddNS.prototype.onFile = function (url) {
        var type = path.basename(url).split('.')[0];
        var tsStr = fs.readFileSync(url, 'utf-8');
        tsStr = tsStr.replace(/(\r\n)/mg, "\r");
        tsStr = tsStr.replace(/^/mg, "    ");
        tsStr = tsStr.replace(/(class\s+)/g, "export $1");
        tsStr = tsStr.replace(/(interface\s+)/g, "export $1");
        tsStr = tsStr.replace(/(const\s+enum\s+)/g, "export $1");
        tsStr = tsStr.replace(/(enum\s+)/g, "export $1");
        tsStr = "namespace byh {\r" + tsStr + "\r}";
        tsStr = tsStr.replace(/\r/mg, "\r\n");
        fs.writeFileSync(url, tsStr);
    };
    return AddNS;
}());
function run(url) {
    new AddNS(url);
}
exports.run = run;
