"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var args = process.argv.slice(2);
var args0 = require("./MainLan");
var args1 = require("./MainLanByh");
var args2 = require("./MainLanHw");
var args3 = require("./MainLanHg");
var args4 = require("./MainLanNs");
var MainLanTxt = /** @class */ (function () {
    function MainLanTxt(baseUrl) {
        this.fs = require("fs");
        this.path = require("path");
        var self = this;
        self._baseUrl = baseUrl;
        self.transStr();
    }
    /**国内 0 ,小程序 1,海外 2,韩国 3 */
    MainLanTxt.prototype.transStr = function () {
        var self = this;
        var baseUrl = self._baseUrl;
        var path = self.path;
        var fs = self.fs;
        var val;
        var lanStr = fs.readFileSync(path.join(baseUrl, 'lanObj.json'), 'utf-8');
        var lanObj = JSON.parse(lanStr);
        val = lanObj['k_0'];
        if (val == '0') {
            //toolName == '-lan'
            args0.run(args[1] || process.cwd());
        }
        else if (val == '1') {
            // toolName == '-byh'
            args1.run(args[1] || process.cwd());
        }
        else if (val == '2') {
            //toolName == '-hw'
            args2.run(args[1] || process.cwd());
        }
        else if (val == '3') {
            //toolName == '-hg'
            args3.run(args[1] || process.cwd());
        }
        else if (val == '4') {
            //toolName == '-ns'
            args4.run(args[1] || process.cwd());
        }
    };
    return MainLanTxt;
}());
function run(baseUrl) {
    new MainLanTxt(baseUrl);
}
exports.run = run;
