import fileUtil = require("./tool/FileUtil");
import fs = require("fs");
import path = require("path");
class AddNS {
    private _url: string;
    constructor(url: string) {
        var self = this;
        if(!url)
        {
            console.log('------------请输入路径------------');
            return;
        }
        self._url = url;
        self.trans();
    }

    private trans():void
    {
        let self = this;
        fileUtil.FileUtil.walkDir(path.join(this._url),self.onFile,null,self);
    }

    private onFile(url:string):void
    {
        let type = path.basename(url).split('.')[0];
        var tsStr = fs.readFileSync(url, 'utf-8');
        tsStr = tsStr.replace(/(\r\n)/mg, "\r");
        tsStr = tsStr.replace(/^/mg, "    ");
        tsStr = tsStr.replace(/(class\s+)/g, "export $1");
        tsStr = tsStr.replace(/(interface\s+)/g, "export $1");
        tsStr = tsStr.replace(/(const\s+enum\s+)/g, "export $1");
        tsStr = tsStr.replace(/(enum\s+)/g, "export $1");

        tsStr = "namespace byh {\r" + tsStr + "\r}";
        tsStr = tsStr.replace(/\r/mg, "\r\n");
        fs.writeFileSync(url, tsStr);
    }
}

export function run(url: string): void {
    new AddNS(url);
}