import fileUtil = require("./tool/FileUtil");
import fs = require("fs");
import path = require("path");

class ActionJson {

    private _jsUrl: string;
    private _newJson: any;

    constructor(jsUrl: string) {
        let s = this;
        s._newJson = {};
        s._jsUrl = jsUrl;
        s.trans();
    }

    private trans(): void {
        let s = this;
        fileUtil.FileUtil.walkDir(path.join(this._jsUrl), s.onFile, null, s);
        fs.writeFileSync(__dirname, s._newJson);
        
    }

    private onFile(url: string): void {
        let s = this;
        if (path.extname(url) != ".json") return;
        let jsStr = fs.readFileSync(url, 'utf-8');
        let mcJson = JSON.parse(jsStr);
        let newJson = s.createNewJson(url, mcJson);
        if (!newJson) {
            console.log(newJson);
            console.log("错误文件Url = ", url);
        }
    }

    private createNewJson(url: string, mcJson: any): any {
        let s = this;
        if (mcJson) {
            let newJson = {
                len: mcJson.len,
                speed: mcJson.speed,
            };
            s._newJson[url] = newJson;
        }
        return null;
    }
}